/*
 * Copyright 2022 NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/***********************************************************************************************************************
 * Definitions
 **********************************************************************************************************************/

/*! @brief Direction type  */
typedef enum _pin_mux_direction
{
  kPIN_MUX_DirectionInput = 0U,         /* Input direction */
  kPIN_MUX_DirectionOutput = 1U,        /* Output direction */
  kPIN_MUX_DirectionInputOrOutput = 2U  /* Input or output direction */
} pin_mux_direction_t;

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif

/*!
 * @brief Calls initialization functions.
 *
 */
void BOARD_InitBootPins(void);

#define BOARD_INITPINS_IOMUXC_GPR_GPR26_GPIO_MUX1_GPIO_SEL_MASK 0x0100U /*!< GPIO1 and GPIO6 share same IO MUX function, GPIO_MUX1 selects one GPIO function: affected bits mask */

/* GPIO_AD_B0_10 (coord G10), J16[6]/JTAG_TDO/J2[13]/J3[2]/INT1_COMBO/U66[8]/ENET_INT/U18[21] */
/* Routed pin properties */
#define BOARD_INITPINS_INT1_COMBO_PERIPHERAL                                 ARM   /*!< Peripheral name */
#define BOARD_INITPINS_INT1_COMBO_SIGNAL                           arm_trace_swo   /*!< Signal name */

/* GPIO_AD_B0_08 (coord G11), JTAG_MOD/BT_PCM_RXD/U10[18]/USER_LED */
/* Routed pin properties */
#define BOARD_INITPINS_USER_LED_PERIPHERAL                                 GPIO1   /*!< Peripheral name */
#define BOARD_INITPINS_USER_LED_SIGNAL                                   gpio_io   /*!< Signal name */
#define BOARD_INITPINS_USER_LED_CHANNEL                                       8U   /*!< Signal channel */

/* Symbols to be used with GPIO driver */
#define BOARD_INITPINS_USER_LED_GPIO                                       GPIO1   /*!< GPIO peripheral base pointer */
#define BOARD_INITPINS_USER_LED_GPIO_PIN                                      8U   /*!< GPIO pin number */
#define BOARD_INITPINS_USER_LED_GPIO_PIN_MASK                         (1U << 8U)   /*!< GPIO pin mask */
#define BOARD_INITPINS_USER_LED_PORT                                       GPIO1   /*!< PORT peripheral base pointer */
#define BOARD_INITPINS_USER_LED_PIN                                           8U   /*!< PORT pin number */
#define BOARD_INITPINS_USER_LED_PIN_MASK                              (1U << 8U)   /*!< PORT pin mask */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPins(void);

/* GPIO_AD_B0_13 (coord J11), UART1_RXD/J11[2] */
/* Routed pin properties */
#define BOARD_INITDEBUG_UARTPINS_UART1_RXD_PERIPHERAL                    LPUART1   /*!< Peripheral name */
#define BOARD_INITDEBUG_UARTPINS_UART1_RXD_SIGNAL                             RX   /*!< Signal name */

/* GPIO_AD_B0_12 (coord J12), UART1_TXD/J13[2] */
/* Routed pin properties */
#define BOARD_INITDEBUG_UARTPINS_UART1_TXD_PERIPHERAL                    LPUART1   /*!< Peripheral name */
#define BOARD_INITDEBUG_UARTPINS_UART1_TXD_SIGNAL                             TX   /*!< Signal name */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitDEBUG_UARTPins(void);

/* GPIO_AD_B1_07 (coord J10), J33[6]/I2C3_SCL/J23[13]/J24[3]/U66[5] */
/* Routed pin properties */
#define BOARD_INITLPI2C3PINS_I2C3_SCL_PERIPHERAL                          LPI2C3   /*!< Peripheral name */
#define BOARD_INITLPI2C3PINS_I2C3_SCL_SIGNAL                                 SCL   /*!< Signal name */

/* GPIO_AD_B1_06 (coord H10), J33[5]/I2C3_SDA/J23[15]/J24[5]/U66[4] */
/* Routed pin properties */
#define BOARD_INITLPI2C3PINS_I2C3_SDA_PERIPHERAL                          LPI2C3   /*!< Peripheral name */
#define BOARD_INITLPI2C3PINS_I2C3_SDA_SIGNAL                                 SDA   /*!< Signal name */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitLPI2C3Pins(void);

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
