/*
 * Copyright 2019-2022 NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/***********************************************************************************************************************
 * Definitions
 **********************************************************************************************************************/

/*! @brief Direction type  */
typedef enum _pin_mux_direction
{
  kPIN_MUX_DirectionInput = 0U,         /* Input direction */
  kPIN_MUX_DirectionOutput = 1U,        /* Output direction */
  kPIN_MUX_DirectionInputOrOutput = 2U  /* Input or output direction */
} pin_mux_direction_t;

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif

/*!
 * @brief Calls initialization functions.
 *
 */
void BOARD_InitBootPins(void);

/* GPIO_AD_B0_13 (coord J11), UART1_RXD/J11[2] */
/* Routed pin properties */
#define BOARD_UART1_RXD_PERIPHERAL                                       LPUART1   /*!< Peripheral name */
#define BOARD_UART1_RXD_SIGNAL                                                RX   /*!< Signal name */

/* GPIO_AD_B0_12 (coord J12), UART1_TXD/J13[2] */
/* Routed pin properties */
#define BOARD_UART1_TXD_PERIPHERAL                                       LPUART1   /*!< Peripheral name */
#define BOARD_UART1_TXD_SIGNAL                                                TX   /*!< Signal name */

/* GPIO_AD_B0_10 (coord G10), J16[6]/JTAG_TDO/J2[13]/J3[2]/INT1_COMBO/U66[8]/ENET_INT/U18[21] */
/* Routed pin properties */
#define BOARD_INT1_COMBO_PERIPHERAL                                          ARM   /*!< Peripheral name */
#define BOARD_INT1_COMBO_SIGNAL                                    arm_trace_swo   /*!< Signal name */

/* WAKEUP (coord J9), USER_BUTTON */
/* Routed pin properties */
#define BOARD_WAKEUP_PERIPHERAL                                            GPIO5   /*!< Peripheral name */
#define BOARD_WAKEUP_SIGNAL                                              gpio_io   /*!< Signal name */
#define BOARD_WAKEUP_CHANNEL                                                  0U   /*!< Signal channel */

/* Symbols to be used with GPIO driver */
#define BOARD_WAKEUP_GPIO                                                  GPIO5   /*!< GPIO peripheral base pointer */
#define BOARD_WAKEUP_GPIO_PIN                                                 0U   /*!< GPIO pin number */
#define BOARD_WAKEUP_GPIO_PIN_MASK                                    (1U << 0U)   /*!< GPIO pin mask */
#define BOARD_WAKEUP_PORT                                                  GPIO5   /*!< PORT peripheral base pointer */
#define BOARD_WAKEUP_PIN                                                      0U   /*!< PORT pin number */
#define BOARD_WAKEUP_PIN_MASK                                         (1U << 0U)   /*!< PORT pin mask */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPins(void);

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
