/*
 * Copyright 2021-2022 NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/***********************************************************************************************************************
 * Definitions
 **********************************************************************************************************************/

/*! @brief Direction type  */
typedef enum _pin_mux_direction
{
  kPIN_MUX_DirectionInput = 0U,         /* Input direction */
  kPIN_MUX_DirectionOutput = 1U,        /* Output direction */
  kPIN_MUX_DirectionInputOrOutput = 2U  /* Input or output direction */
} pin_mux_direction_t;

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif

/*!
 * @brief Calls initialization functions.
 *
 */
void BOARD_InitBootPins(void);

/* GPIO_AD_B0_13 (coord J11), UART1_RXD/J11[2] */
/* Routed pin properties */
#define BOARD_INITPINS_UART1_RXD_PERIPHERAL                              LPUART1   /*!< Peripheral name */
#define BOARD_INITPINS_UART1_RXD_SIGNAL                                       RX   /*!< Signal name */

/* GPIO_AD_B0_12 (coord J12), UART1_TXD/J13[2] */
/* Routed pin properties */
#define BOARD_INITPINS_UART1_TXD_PERIPHERAL                              LPUART1   /*!< Peripheral name */
#define BOARD_INITPINS_UART1_TXD_SIGNAL                                       TX   /*!< Signal name */

/* GPIO_AD_B1_01 (coord K12), J17[9]/I2C1_SDA/J49[B5]/U25[18] */
/* Routed pin properties */
#define BOARD_INITPINS_I2C1_SDA_PERIPHERAL                                  CMP1   /*!< Peripheral name */
#define BOARD_INITPINS_I2C1_SDA_SIGNAL                                        IN   /*!< Signal name */
#define BOARD_INITPINS_I2C1_SDA_CHANNEL                                       0U   /*!< Signal channel */

/* GPIO_AD_B0_10 (coord G10), J16[6]/JTAG_TDO/J2[13]/J3[2]/INT1_COMBO/U66[8]/ENET_INT/U18[21] */
/* Routed pin properties */
#define BOARD_INITPINS_INT1_COMBO_PERIPHERAL                                 ARM   /*!< Peripheral name */
#define BOARD_INITPINS_INT1_COMBO_SIGNAL                           arm_trace_swo   /*!< Signal name */

/* GPIO_SD_B0_00 (coord H3), J17[6]/U63[8] */
/* Routed pin properties */
#define BOARD_INITPINS_GPIO_SD_B0_00_PERIPHERAL                             PWM1   /*!< Peripheral name */
#define BOARD_INITPINS_GPIO_SD_B0_00_SIGNAL                                    A   /*!< Signal name */
#define BOARD_INITPINS_GPIO_SD_B0_00_CHANNEL                                  0U   /*!< Signal channel */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPins(void);

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
